tbb::tick_count::interval_t Class Reference

Relative time interval. More...

`#include <tick_count.h>`

## Public Member Functions

| interval_t ()
| Construct a time interval representing zero time duration.
| interval_t (double sec)
| Construct a time interval representing sec seconds time duration.
double | seconds () const
| Return the length of a time interval in seconds.
interval_t & | operator+= (const interval_t &i)
| Accumulation operator.
interval_t & | operator-= (const interval_t &i)
| Subtraction operator.

## Friends

class | tbb::tick_count
interval_t | operator- (const tick_count &t1, const tick_count &t0)
| Extract the intervals from the tick_counts and subtract them.
interval_t | operator+ (const interval_t &i, const interval_t &j)
| Add two intervals.
interval_t | operator- (const interval_t &i, const interval_t &j)
| Subtract two intervals.

## Detailed Description

Relative time interval.

The documentation for this class was generated from the following file:

- tick_count.h

Copyright © 2005-2017 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.